<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_4d707fab93bebb00bbe69e8159697c9" . "0" => base64_decode(""), "_54faabe694dfa8d05dc6c" . "0827a214f82" => base64_decode("aW1h" . "Z2U="));
use Claromentis\Core\Ai\AiPluginInterface;
class AiImagePlugin implements AiPluginInterface
{
    public function getModule() : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_54faabe694dfa8d05dc6c0" . "827a214f82"];
    }
    public function getType() : string
    {
        return AiPluginInterface::TYPE_IMAGE_GENERATION;
    }
    public function getLocalizations() : array
    {
        return [];
    }
    public function getRequireInclude() : string
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab93bebb00bbe69e8159697c" . "90"];
    }
    public function getPrompt(?string $_a05cd0d81b0d993868f75f877961db96 = null, ?array $_b255ebafd5b8bb45110cd2db0604fa44 = null) : array
    {
        return [];
    }
}